Page MenuHomePhabricator

Make BackupDumper, WikiExporter and XmlDumpWriter compliant with the MCR revision retrival mechanism (main slot only)
Closed, ResolvedPublic

Description

For access to revision content, WikiExporter/XmlDumpWriter rely on joining the revision table to the text table, based on the rev_text_id field. This will completely stop working when leaving the write-both compatibility mode for MCR schema migration.

This task does not require support for extra slots to be added to dumps. It only requires the new revision retrieval interface to be used by the export/dump code.

Related Objects

StatusAssignedTask
Declineddchen
OpenNone
OpenNone
DuplicateNone
OpenNone
ResolvedAbit
OpenNone
OpenNone
OpenNone
DuplicateNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
Resolvedppelberg
ResolvedKrinkle
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
ResolvedAnomie
Resolveddaniel
ResolvedAnomie
ResolvedAnomie
OpenNone
ResolvedBstorm
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
ResolvedPchelolo
OpenNone
OpenPchelolo
OpenPchelolo
OpenPchelolo
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
Resolveddaniel
Resolveddaniel
ResolvedBPirkle

Event Timeline

daniel triaged this task as Normal priority.Jul 3 2018, 12:46 PM
daniel created this task.

Change 443608 had a related patch set uploaded (by Daniel Kinzler; owner: Daniel Kinzler):
[mediawiki/core@master] Make BackupDumper MCR compatible (main slot only)

https://gerrit.wikimedia.org/r/443608

daniel renamed this task from Make BackupDumper, WikiExporter and XmlDumpWriter compliant with the MCR revision retrival mechanism. to Make BackupDumper, WikiExporter and XmlDumpWriter compliant with the MCR revision retrival mechanism (main slot only).Jul 9 2018, 3:52 PM
daniel updated the task description. (Show Details)
Addshore moved this task from incoming to monitoring on the Wikidata board.Sep 17 2018, 8:20 AM
greg added a project: Multimedia.Mar 7 2019, 10:59 PM
Restricted Application added a project: Multimedia. · View Herald TranscriptMar 8 2019, 4:20 PM

Change 443608 merged by jenkins-bot:
[mediawiki/core@master] Make BackupDumper MCR compatible (main slot only)

https://gerrit.wikimedia.org/r/443608

daniel closed this task as Resolved.May 15 2019, 10:03 PM